<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelNavMeshPath Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelNavMeshPath Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelNavMeshPath" --><!-- doxytag: inherits="iBase" -->
<p>Path between two points which lay in the same Sector.  
 <a href="structiCelNavMeshPath.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celnavmesh_8h_source.html">tools/celnavmesh.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelNavMeshPath:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelNavMeshPath.png" usemap="#iCelNavMeshPath_map" alt=""/>
  <map id="iCelNavMeshPath_map" name="iCelNavMeshPath_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,113,24"/>
</map>
 </div></div>

<p><a href="structiCelNavMeshPath-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a67aee277211100b4c763358ac040a224">AddNode</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a new node at the end of the path.  <a href="#a67aee277211100b4c763358ac040a224"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#abd62b0b4006329d511951c1a60b47d56">Current</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vector) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current node from the navigation path.  <a href="#abd62b0b4006329d511951c1a60b47d56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a><br class="typebreak"/>
&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a228b4841290828555ce7f9f7e4d78eb4">GetDebugMeshes</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render path.  <a href="#a228b4841290828555ce7f9f7e4d78eb4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a9ad52f4127d6da755d4ef37eaf2ea122">GetFirst</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vector) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get first node from the navigation path.  <a href="#a9ad52f4127d6da755d4ef37eaf2ea122"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a1b18429c7006a10a15bf8162e358cce9">GetLast</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vector) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get last node from the navigation path.  <a href="#a1b18429c7006a10a15bf8162e358cce9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a3afe0a3d76eb1d520e3aa2d3b0b5b522">GetNodeCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of nodes in this path.  <a href="#a3afe0a3d76eb1d520e3aa2d3b0b5b522"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#ab9d42a6717c5ba4952d38be1d4bf0c38">GetSector</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get this path's sector.  <a href="#ab9d42a6717c5ba4952d38be1d4bf0c38"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a3169df6cb147959ce634f42ec413e841">HasNext</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the navigation mesh has nodes after the current one.  <a href="#a3169df6cb147959ce634f42ec413e841"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a6c7001480b8f410c469465192b1e41b5">HasPrevious</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the navigation mesh has nodes before the current one.  <a href="#a6c7001480b8f410c469465192b1e41b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#aec5e31bcc6de18926b5cb9a77774c3ed">InsertNode</a> (int pos, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a new node in position pos.  <a href="#aec5e31bcc6de18926b5cb9a77774c3ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#af2e3dbbbbe1f955ca49d18823d8f722d">Invert</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invert the navigation path.  <a href="#af2e3dbbbbe1f955ca49d18823d8f722d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#adf7de8d93ba3a1c86f35c4890df66ea2">Length</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate path length.  <a href="#adf7de8d93ba3a1c86f35c4890df66ea2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a3a1a2d54acf73a12179323b2e4a50738">Next</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vector)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get next node from the navigation path.  <a href="#a3a1a2d54acf73a12179323b2e4a50738"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#a08f0e56ebb9932a4c43f0571fff9c840">Previous</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vector)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get previous node from the navigation path.  <a href="#a08f0e56ebb9932a4c43f0571fff9c840"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMeshPath.html#ae69523b610507e27207f2742c3c1ad92">Restart</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Restart the navigation path.  <a href="#ae69523b610507e27207f2742c3c1ad92"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Path between two points which lay in the same Sector. </p>

<p>Definition at line <a class="el" href="celnavmesh_8h_source.html#l00137">137</a> of file <a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a67aee277211100b4c763358ac040a224"></a><!-- doxytag: member="iCelNavMeshPath::AddNode" ref="a67aee277211100b4c763358ac040a224" args="(csVector3 node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#a67aee277211100b4c763358ac040a224">iCelNavMeshPath::AddNode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a new node at the end of the path. </p>

</div>
</div>
<a class="anchor" id="abd62b0b4006329d511951c1a60b47d56"></a><!-- doxytag: member="iCelNavMeshPath::Current" ref="abd62b0b4006329d511951c1a60b47d56" args="(csVector3 &amp;vector) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#abd62b0b4006329d511951c1a60b47d56">iCelNavMeshPath::Current</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get current node from the navigation path. </p>

</div>
</div>
<a class="anchor" id="a228b4841290828555ce7f9f7e4d78eb4"></a><!-- doxytag: member="iCelNavMeshPath::GetDebugMeshes" ref="a228b4841290828555ce7f9f7e4d78eb4" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a>&gt;* <a class="el" href="structiCelNavMeshPath.html#a228b4841290828555ce7f9f7e4d78eb4">iCelNavMeshPath::GetDebugMeshes</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render path. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The user is responsible for freeing the returned pointer. </dd></dl>

</div>
</div>
<a class="anchor" id="a9ad52f4127d6da755d4ef37eaf2ea122"></a><!-- doxytag: member="iCelNavMeshPath::GetFirst" ref="a9ad52f4127d6da755d4ef37eaf2ea122" args="(csVector3 &amp;vector) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#a9ad52f4127d6da755d4ef37eaf2ea122">iCelNavMeshPath::GetFirst</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get first node from the navigation path. </p>

</div>
</div>
<a class="anchor" id="a1b18429c7006a10a15bf8162e358cce9"></a><!-- doxytag: member="iCelNavMeshPath::GetLast" ref="a1b18429c7006a10a15bf8162e358cce9" args="(csVector3 &amp;vector) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#a1b18429c7006a10a15bf8162e358cce9">iCelNavMeshPath::GetLast</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get last node from the navigation path. </p>

</div>
</div>
<a class="anchor" id="a3afe0a3d76eb1d520e3aa2d3b0b5b522"></a><!-- doxytag: member="iCelNavMeshPath::GetNodeCount" ref="a3afe0a3d76eb1d520e3aa2d3b0b5b522" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelNavMeshPath.html#a3afe0a3d76eb1d520e3aa2d3b0b5b522">iCelNavMeshPath::GetNodeCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of nodes in this path. </p>

</div>
</div>
<a class="anchor" id="ab9d42a6717c5ba4952d38be1d4bf0c38"></a><!-- doxytag: member="iCelNavMeshPath::GetSector" ref="ab9d42a6717c5ba4952d38be1d4bf0c38" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="el" href="structiCelNavMeshPath.html#ab9d42a6717c5ba4952d38be1d4bf0c38">iCelNavMeshPath::GetSector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get this path's sector. </p>

</div>
</div>
<a class="anchor" id="a3169df6cb147959ce634f42ec413e841"></a><!-- doxytag: member="iCelNavMeshPath::HasNext" ref="a3169df6cb147959ce634f42ec413e841" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelNavMeshPath.html#a3169df6cb147959ce634f42ec413e841">iCelNavMeshPath::HasNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if the navigation mesh has nodes after the current one. </p>

</div>
</div>
<a class="anchor" id="a6c7001480b8f410c469465192b1e41b5"></a><!-- doxytag: member="iCelNavMeshPath::HasPrevious" ref="a6c7001480b8f410c469465192b1e41b5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelNavMeshPath.html#a6c7001480b8f410c469465192b1e41b5">iCelNavMeshPath::HasPrevious</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if the navigation mesh has nodes before the current one. </p>

</div>
</div>
<a class="anchor" id="aec5e31bcc6de18926b5cb9a77774c3ed"></a><!-- doxytag: member="iCelNavMeshPath::InsertNode" ref="aec5e31bcc6de18926b5cb9a77774c3ed" args="(int pos, csVector3 node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#aec5e31bcc6de18926b5cb9a77774c3ed">iCelNavMeshPath::InsertNode</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a new node in position pos. </p>

</div>
</div>
<a class="anchor" id="af2e3dbbbbe1f955ca49d18823d8f722d"></a><!-- doxytag: member="iCelNavMeshPath::Invert" ref="af2e3dbbbbe1f955ca49d18823d8f722d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#af2e3dbbbbe1f955ca49d18823d8f722d">iCelNavMeshPath::Invert</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invert the navigation path. </p>

</div>
</div>
<a class="anchor" id="adf7de8d93ba3a1c86f35c4890df66ea2"></a><!-- doxytag: member="iCelNavMeshPath::Length" ref="adf7de8d93ba3a1c86f35c4890df66ea2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiCelNavMeshPath.html#adf7de8d93ba3a1c86f35c4890df66ea2">iCelNavMeshPath::Length</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Calculate path length. </p>

</div>
</div>
<a class="anchor" id="a3a1a2d54acf73a12179323b2e4a50738"></a><!-- doxytag: member="iCelNavMeshPath::Next" ref="a3a1a2d54acf73a12179323b2e4a50738" args="(csVector3 &amp;vector)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#a3a1a2d54acf73a12179323b2e4a50738">iCelNavMeshPath::Next</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get next node from the navigation path. </p>

</div>
</div>
<a class="anchor" id="a08f0e56ebb9932a4c43f0571fff9c840"></a><!-- doxytag: member="iCelNavMeshPath::Previous" ref="a08f0e56ebb9932a4c43f0571fff9c840" args="(csVector3 &amp;vector)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#a08f0e56ebb9932a4c43f0571fff9c840">iCelNavMeshPath::Previous</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get previous node from the navigation path. </p>

</div>
</div>
<a class="anchor" id="ae69523b610507e27207f2742c3c1ad92"></a><!-- doxytag: member="iCelNavMeshPath::Restart" ref="ae69523b610507e27207f2742c3c1ad92" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMeshPath.html#ae69523b610507e27207f2742c3c1ad92">iCelNavMeshPath::Restart</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Restart the navigation path. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
